module "languagetool" {
  source = "./service"

  name         = "languagetool"
  image        = "ghcr.io/erikvl87/docker-languagetool/languagetool:4.8"
  ingress      = true
  service_port = 8010
  use_wesher   = var.use_wesher

  env = {
    Java_Xmx = "512m"
  }

  service_check = {
    path = "/v2/healthcheck"
  }

  # Possibility to use a volume over nfs to host n-gram datasets
  # https://github.com/Erikvl87/docker-languagetool/pkgs/container/docker-languagetool%2Flanguagetool#using-n-gram-datasets

  resources = {
    cpu    = 100
    memory = 512
  }
}
